#! /bin/bash
#"Copyright 2017, Oracle and/or its affiliates. All rights reserved."

script=$(readlink -f "$0")
d=$(dirname "$script")
export OPG_HOME=${d}/../
export OPG_JARS="$OPG_HOME/lib/*.jar"
export OPG_CP=`ls $OPG_JARS | xargs | tr ' ' ':'`
export OPG_CP=${d}:${OPG_CP}


cat <<EOF
    ____        ____  ____  ______
   / __ \__  __/ __ \/ __ \/ ____/
  / /_/ / / / / / / / /_/ / / __
 / ____/ /_/ / /_/ / ____/ /_/ /
/_/    \__, /\____/_/    \____/
      /____/

Oracle Spatial and Graph Property Graph Python Shell ...
Context available as opg
EOF

python -i $OPG_HOME/pyopg/pyopg/core.py $OPG_CP

